/*
   <p>Test harness for macro definitions.</p>

   <kbd>
   <b>environ - C programming support functions</b><br>
   Copyright (C) 2005  Martin C Gregorie
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the Lesser GNU General Public License.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
  
   You should have received a copy of the Lesser GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
   </kbd>
  
   <p>Contact Martin Gregorie at <i>martin@gregorie.org</i></p>
*/

#include <stdio.h>
#include "environ.h"

main()
{
    int a,b;
    
    printf("\nInput a: "); scanf("%d",&a);
    printf("\nInput b: "); scanf("%d",&b);
    printf("\n\n");
    
    printf("Minimum of %d and %d is %d\n",a,b,min(a,b));
    printf("Maximum of %d and %d is %d\n",a,b,max(a,b));
}
